Debian Bug report logs - #696979
ITP: pamtester -- utility program to test the PAM facility

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Sun, 30 Dec 2012 10:03:01 UTC

Owned by: Salvatore Bonaccorso <carnil@debian.org>

Severity: wishlist

Fixed in version pamtester/0.1.2-1

Done: Salvatore Bonaccorso <carnil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#696979; Package wnpp. (Sun, 30 Dec 2012 10:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 30 Dec 2012 10:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pamtester -- utility program to test the PAM facility
Date: Sun, 30 Dec 2012 11:00:51 +0100
Package: wnpp
Severity: wishlist
Owner: Salvatore Bonaccorso <carnil@debian.org>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

* Package name    : pamtester
  Version         : 0.1.2
  Upstream Author : Moriyoshi Koizumi <moriyoshi@users.sourceforge.net>
* URL             : http://pamtester.sourceforge.net/
* License         : BSD
  Programming Lang: C
  Description     : utility program to test the PAM facility

Pamtester is a tiny utility program to test the pluggable authentication
modules (PAM) facility, which is a de facto standard of unified
authentication management mechanism in many unices and similar OSes
including Solaris, HP-UX, *BSD, MacOSX and Linux.
..
While specifically designed to help PAM module authors to test their
modules, that might also be handy for system administrators interested
in building a centralised authentication system using common standards
such as NIS, SASL and LDAP.

Some notes:
 - I know that the last upstream version was released back in 2005, so
   it's quite old. I think it might be a helpful utility for PAM
   tests.

 - Fedora/RedHat included pamtester too some time ago[1].

 [1]: https://bugzilla.redhat.com/show_bug.cgi?id=730815

 - In Debian there is at leat python-pam, which brings an example,
   doing something similar. But it seems upstream project is not
   reachable anymore (e.g. there should be a 0.5.0 release, but
   webpage is dead).
 
Regards,
Salvatore

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQ4BDMAAoJEHidbwV/2GP+o8EP/RY1y6/vblgAhcX5TvJgcG2L
9SGEcwBNrSeo5U8kmhIcKBV4AGOGEClk4Bv9+3of27jfxDxfIjC3OIw16WJVf0GT
TBuWoL6VtIa/AgeBUZodzqhI4O3wFXMEfUJD74ruxuyiimwaN+zcTmLfnVKqnK5P
2AR0YB4UU+m+/NCsRUYI8AKIALnbYBDSaTdf8GrT1PdpkdLxj2PYI+df7H11uPFG
cVt9y667Gl6D8UnoNNQzs4foM9tN9mwkUvSKv4eeydLXxqsxrr2zPSuQqwMXCxdp
PNbzSE7inmJ2GB8Wqo4dUd49WIOldzRyQp2PxJ7ja1/mGV0v582NYZ+T6zQJmP2q
h4Y+YlGJ70ELlVM5bNbyKfPtBZsf8aKP9lxUaPQ8hKOENoo15qHnimPlIfiv1Bbi
5O/hL/L7AJccdvBuZEvYBV+uGbape/8sWQy6LeDtJzadVOXoYr6/eQMpNpsNzHYJ
a7m8+yQCu/vlDixh1H2tUa0EjcBPiHTzZ+89MV9dMVJn5qIaIPoFILs0HwVvYLne
MKNWa7zvRVzlip10cbKfw9hAk2Y8xTsbLc6DBM1EwbHVtnomVokYUosWnf7Ga2cu
/4Er+/KDON2ftI6DBOMDtQrjvZwsYoMeES5GMxTgxHdwxk0vl61OrPKt5TQYZPLW
0Hl4pfpw6btfgpp9PYTH
=7wzG
-----END PGP SIGNATURE-----



Added tag(s) pending. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Fri, 04 Jan 2013 13:21:05 GMT) Full text and rfc822 format available.

Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Wed, 03 Apr 2013 21:03:10 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Wed, 03 Apr 2013 21:03:10 GMT) Full text and rfc822 format available.

Message #12 received at 696979-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 696979-close@bugs.debian.org
Subject: Bug#696979: fixed in pamtester 0.1.2-1
Date: Wed, 03 Apr 2013 21:00:04 +0000
Source: pamtester
Source-Version: 0.1.2-1

We believe that the bug you reported is fixed in the latest version of
pamtester, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696979@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <carnil@debian.org> (supplier of updated pamtester package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 04 Jan 2013 13:58:49 +0100
Source: pamtester
Binary: pamtester
Architecture: source amd64
Version: 0.1.2-1
Distribution: unstable
Urgency: low
Maintainer: Salvatore Bonaccorso <carnil@debian.org>
Changed-By: Salvatore Bonaccorso <carnil@debian.org>
Description: 
 pamtester  - utility program to test the PAM facility
Closes: 696979
Changes: 
 pamtester (0.1.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #696979)
Checksums-Sha1: 
 4d0650d36d9ff791937ccb97f9b49a95bee3c2fc 1745 pamtester_0.1.2-1.dsc
 33bcc610d7f208b50a0a23c144bdbd1e2cae4ac6 282872 pamtester_0.1.2.orig.tar.gz
 0afa53cfa242d2ba2062d17cb731213fe27d7e3f 2343 pamtester_0.1.2-1.debian.tar.gz
 13beb6b4554b6bbac09eff61fd6ca919f890e0dd 13546 pamtester_0.1.2-1_amd64.deb
Checksums-Sha256: 
 3317fbd445c8b21612c921e96269af564ee56715899d17d4b415614bdaead59a 1745 pamtester_0.1.2-1.dsc
 83633d0e8a4f35810456d9d52261c8ae0beb9148276847cae8963505240fb2d5 282872 pamtester_0.1.2.orig.tar.gz
 6eae6efdd5f21c576940ca02ce92736d2ecfef9bb4b4f9aa4e27394bc472ae68 2343 pamtester_0.1.2-1.debian.tar.gz
 dc5be48613993fa2a7217f9a3ddfa956f5aa070d7ee762cf1ce53b3c832a7938 13546 pamtester_0.1.2-1_amd64.deb
Files: 
 b3c589c7b538accebfa5f952dc757398 1745 utils extra pamtester_0.1.2-1.dsc
 f441a6617cbc640ea02f3e22058c0461 282872 utils extra pamtester_0.1.2.orig.tar.gz
 b2d01fd71601a5370ecb050d0d2b5eb4 2343 utils extra pamtester_0.1.2-1.debian.tar.gz
 fd97feb6e9a0c4e8bda0f5daee5b3741 13546 utils extra pamtester_0.1.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQ5tWFAAoJEHidbwV/2GP+B3EQANu3r2FObPA+lmvRVpYSb4ss
+9pgNRuio7kv6ckvteBbgsxJJBbJatHI/YPlqQM+8AaHxRl2n9iSrRkz1R3DUrza
fMPZyyT0NSx/TjbcnFmMeanbKs19sHaIb/AIXMZOthShBdK4thHlhb+sUHmVfU5c
nQeC3wfiF1eSsdlLDzOa1bz6Y8UR8301eaetSdqJi39w8aSiadoF8LXFRYcHnU/6
AdKVsM53uKh3vdlak9Tb7TdVXvH+h5RHY7DhYgogho0Oxu0oe2gexQOv31MdPedL
LJLq0YZRsL2xDNTCLscS2tVDxUE+Te0FnEphrsl7cIKwknph9F6qTCWk8ft4qbQ+
LA0R2fISZ4HtLt7JtjXRWu74h/3qZ7tGwbQCCxA9on77AwAk9mT1aSOCv0SZQfPA
7Ve7WwqNMNl6GnfDbWjm/AQWmTP4BmFY2Zawn1TsGF0Akdb++9qlCCCu6vaiiJGr
qEFWLM/Z+Yu9dQbXEsD2z6sggJomU7K1v1le/KP9dBkXFjaHGf7veriUCU5Xqv3A
rX3iUJ8kqtMBanakoSboVYR/8O5rH0B1c1JucxVGty+l9OQhSf3orBAAcugHEBwX
fBnQtTFm3GW5ari4wY43wYCaVrG2Poyl5UBjz6EvfWe7mZnTsyPomuJalz74f7/G
+7c/JmV5+EBony4nzJKB
=R66v
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 May 2013 07:30:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:38:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.